package cn.hanghui.outapi.platform.xinghuo.constant;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum XinghuoApiUrl {

    /**
     * 申请凭证
     */
    APPLY_PROOF("/proof/proof-app/applyProof", "申请凭证"),

    /**
     * 获取身份证明二维码
     */
    GET_PROOF_QRCODE("/proof/proof-app/getQrCode", "获取身份证明二维码"),

    /**
     * 根据二维码获取身份证明
     */
    GET_PROOF_BY_QRCODE("/proof/proof-app/getProofByQrCode", "根据二维码获取身份证明"),

    /**
     * 根据民航小程序二维码获取身份证明
     */
    MH_GET_PROOF_BY_QRCODE("/dmhy/manager/rest/checkQrCode", "根据民航小程序二维码获取身份证明"),
    ;

    public final String url;

    public final String desc;
}
